> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Profiles

> List all saved LLM profiles.

Returns the list of profiles along with the currently active profile name,
if one has been activated. The active_profile tracks which LLM profile
configuration is currently in use.



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/profiles
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/profiles:
    get:
      tags:
        - Profiles
      summary: List Profiles
      description: >-
        List all saved LLM profiles.


        Returns the list of profiles along with the currently active profile
        name,

        if one has been activated. The active_profile tracks which LLM profile

        configuration is currently in use.
      operationId: list_profiles_api_profiles_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileListResponse'
          description: Successful Response
      security:
        - APIKeyHeader: []
components:
  schemas:
    ProfileListResponse:
      properties:
        active_profile:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Profile
        profiles:
          items:
            $ref: '#/components/schemas/ProfileInfo'
          title: Profiles
          type: array
      required:
        - profiles
      title: ProfileListResponse
      type: object
    ProfileInfo:
      properties:
        api_key_set:
          default: false
          title: Api Key Set
          type: boolean
        base_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Url
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        name:
          title: Name
          type: string
        provider_connection_broken:
          default: false
          title: Provider Connection Broken
          type: boolean
        provider_connection_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Connection Id
      required:
        - name
      title: ProfileInfo
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.